<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

$config['postchanges'] = 10;

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 

if (is_admin(array(101, 102, 103, 105))) {
  show_title('site.png', 'Новости RotorCMS');
  $config['newtitle'] = 'Новости RotorCMS';

  switch ($act):
  # ###########################################################################################
  # #                                    Главная страница                                    ##
  # ###########################################################################################
  case 'index':

    if (file_exists(DATADIR . "temp/changes.dat")) {
      $data = file_get_contents(DATADIR . "temp/changes.dat");

      if (is_serialized($data)) {
        $data = unserialize($data);

        echo 'Актуальная версия RotorCMS: <b>' . $data['version'] . '</b><br />';
        echo 'Версия сайта: <b>' . $config['rotorversion'] . '</b><br /><br />';

        $total = count($data['changes']);

        if ($total > 0) {
          if ($start < 0 || $start >= $total) {
            $start = 0;
          } 
          if ($total < $start + $config['postchanges']) {
            $end = $total;
          } else {
            $end = $start + $config['postchanges'];
          } 
          for ($i = $start; $i < $end; $i++) {
            echo '<div class="b">';
            echo '<img src="../images/img/edit.gif" alt="image" /> ';
            echo '<b>' . $data['changes'][$i]['changes_title'] . '</b><small> (ver. ' . $data['changes'][$i]['changes_ver'] . ')</small></div>';
            echo '<div>' . bb_code($data['changes'][$i]['changes_text']) . '<br />';
            echo 'Обновлено: ' . date_fixed($data['changes'][$i]['changes_time']) . '</div>';
          } 

          page_strnavigation('changes.php?', $config['postchanges'], $start, $total);
        } else {
          show_error('Новостей еще нет!');
        } 
      } else {
        show_error('Ошибка! Не удалось загрузить новости!');
      } 
    } else {
      show_error('Ошибка! Не удалось загрузить новости!');
    } 

    echo '<img src="../images/img/reload.gif" alt="image" /> <a href="changes.php?act=reload&amp;' . SID . '">Обновить</a><br />';
    break;
  # ###########################################################################################
  # #                                    Проверка лицензии                                   ##
  # ###########################################################################################
  case 'verifi':
    if ($_SERVER['HTTP_HOST']) {
      $servername = $_SERVER['HTTP_HOST'];
    } else {
      $servername = $_SERVER['SERVER_NAME'];
    } 

    $geturl = 'http://visavi.net/rotorcms/index.php?act=check&site=' . $servername;

    if (@file_get_contents($geturl)) {
      $data = file_get_contents($geturl);
    } else {
      $data = curl_connect($geturl, $brow);
    } 

    $activate = 0;
    if (stristr($data, '<!--LICENSE_SITE-->')) {
      $activate = 1;
    } 
    if (stristr($data, '<!--NOT_LICENSED_SITE-->')) {
      $activate = 0;
    } 

    if (!empty($activate)) {
      echo '<img src="../images/img/key.gif" alt="image" /> <b>Сайт ' . $servername . ' использует лицензионную версию RotorCMS</b><br /><br />';
    } else {
      echo '<img src="../images/img/exit.gif" alt="image" /> <b>На сайт ' . $servername . '  не выдавалась лицензия, используется бесплатная версия RotorCMS</b><br /><br />';
      echo '<img src="../images/img/reload.gif" alt="image" /> <b><a href="http://visavi.net/rotorcms/?act=licensefaq">Подробнее о лицензии</a></b><br /><br />';
    } 

    DB :: $dbh -> query("REPLACE INTO `setting` (`setting_name`, `setting_value`) VALUES (?, ?);", array('rotorlicense', $activate));
    save_setting();

    echo 'Проверить наличие лицензии на сайте <b><a href="http://visavi.net/rotorcms/index.php?act=check&amp;site=' . $servername . '">VISAVI.NET</a></b><br /><br />';
    break;
  # ###########################################################################################
  # #                                  Обновление новостей                                   ##
  # ###########################################################################################
  case 'reload':

    if (@copy("http://visavi.net/rotorcms/rotor.txt", DATADIR . "temp/changes.dat")) {
    } else {
      $data = curl_connect("http://visavi.net/rotorcms/rotor.txt");
      file_put_contents(DATADIR . "temp/changes.dat", $data);
    } 

    $_SESSION['note'] = 'Новости RotorCMS успешно обновлены!';
    header ("Location: changes.php?" . SID);
    exit;

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="changes.php?' . SID . '">Вернуться</a><br />';
    break;

  default:
    header("location: changes.php?" . SID);
    endswitch;

    echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';
  } else {
  header ('Location: ' . BASEDIR . 'index.php?' . SID);
  exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>